business automation workflow 漏洞

CVE编号

CVE-2018-1848

利用情况

暂无

补丁情况

N/A

披露时间

2018-12-15
漏洞描述
IBM Business Automation Workflow 18.0.0.0和18.0.0.1易受跨站点脚本攻击。此漏洞允许用户在Web UI中嵌入任意JavaScript代码,从而更改可能导致可信会话中的凭据泄露的预期功能。 IBM X-Force ID:150947。
解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://www-01.ibm.com/support/docview.wss?uid=ibm10743005
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 ibm business_automation_workflow 18.0.0.0 -
运行在以下环境
应用 ibm business_automation_workflow 18.0.0.1 -
运行在以下环境
应用 ibm business_process_manager * From
(including)
7.5.0.0
Up to
(including)
7.5.1.2
运行在以下环境
应用 ibm business_process_manager * From
(including)
8.0.0.0
Up to
(including)
8.0.1.3
运行在以下环境
应用 ibm business_process_manager * From
(including)
8.5.0.0
Up to
(including)
8.5.0.2
运行在以下环境
应用 ibm business_process_manager 8.5.5.0 -
运行在以下环境
应用 ibm business_process_manager 8.5.6.0 -
运行在以下环境
应用 ibm business_process_manager 8.5.7.0 -
运行在以下环境
应用 ibm business_process_manager 8.6.0.0 -
运行在以下环境
应用 ibm websphere * From
(including)
7.2.0.0
Up to
(including)
7.2.0.5
运行在以下环境
系统 debian_10 binutils * Up to
(excluding)
2.31.1-16
运行在以下环境
系统 debian_11 binutils * Up to
(excluding)
2.35.2-2
运行在以下环境
系统 debian_9 binutils * Up to
(excluding)
2.28-5
运行在以下环境
系统 debian_sid binutils * Up to
(excluding)
2.37-8
运行在以下环境
系统 opensuse_Leap_15.0 binutils * Up to
(excluding)
2.32-lp150.10.1
运行在以下环境
系统 opensuse_Leap_15.1 binutils * Up to
(excluding)
2.32-lp151.3.3.1
运行在以下环境
系统 sles_12 binutils * Up to
(excluding)
2.32-9.33
运行在以下环境
系统 sles_12_SP4 binutils * Up to
(excluding)
2.32-9.33.1
运行在以下环境
系统 sles_12_SP5 binutils * Up to
(excluding)
2.32-9.33.1
运行在以下环境
系统 suse_12_SP4 binutils * Up to
(excluding)
2.32-9.33.1
运行在以下环境
系统 suse_12_SP5 binutils * Up to
(excluding)
2.32-9.33.1
运行在以下环境
系统 ubuntu_18.04_lts binutils * Up to
(excluding)
2.30-21ubuntu1~18.04.3
CVSS3评分
6.1
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    已更改
  • 用户交互
    需要
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-79 在Web页面生成时对输入的转义处理不恰当(跨站脚本)
阿里云安全产品覆盖情况